#
# Conditional build:
%bcond_without	zrtp	# ZRTP (RFC 6189: Media Path Key Agreement for Unicast Secure RTP) support; GPL v3
#
Summary:	RTP/RTCP protocol library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół RTP/RTCP
Name:		ortp
Version:	0.18.0
Release:	2
%if %{with zrtp}
License:	GPL v3+
%else
License:	LGPL v2.1+
%endif
Group:		Libraries
Source0:	http://download.savannah.nongnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz
# Source0-md5:	098e984f9325d9e2648bfd9863eed501
Patch0:		%{name}-i486.patch
Patch1:		%{name}-libssl-not-required.patch
URL:		http://www.linphone.org/eng/documentation/dev/ortp.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:2.0
%{?with_zrtp:BuildRequires:	libzrtpcpp-devel >= 2.0.0}
BuildRequires:	openssl-devel
BuildRequires:	srtp-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
ortp is a library for handling RTP protocol (RFC 3550).

%description -l pl.UTF-8
ortp to biblioteka obsługująca protokół RTP (RFC 3550).

%package devel
Summary:	Header files to develop applications using ortp
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji używających ortp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_zrtp:Requires:	libzrtpcpp-devel >= 2.0.0}
Requires:	openssl-devel
Requires:	srtp-devel

%description devel
Header files for the ortp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki ortp.

%package static
Summary:	Static ortp library
Summary(pl.UTF-8):	Statyczna biblioteka ortp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ortp library.

%description static -l pl.UTF-8
Statyczna biblioteka ortp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-strict \
	--enable-ipv6 \
%if "%{_lib}" == "lib64"
	--enable-mode64bit=yes \
%else
	--enable-mode64bit=no \
%endif
	--enable-static \
	%{?with_zrtp:--enable-zrtp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ortp

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libortp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libortp.so.8

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libortp.so
%{_libdir}/libortp.la
%{_includedir}/ortp
%{_pkgconfigdir}/ortp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libortp.a
%changelog
* Wed Jun 06 2012 blekot <blekot@pld-linux.org> 92f5183
- rel 2 for rebuild

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 36d0e36
- updated to 0.18.0
- removed obsolete Werror patch
- build with srtp and zrtp support by default

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 80b1afa
- up to 0.16.5; disable Werror

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> bdf4dd0
- unified %clean section

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 891725e
- release 3

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> 7ab64e4
- added libssl-not-required patch
- BR/R: openssl-devel
- release 2; STBR

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> 1cdab9d
- don't link with -lssl because it isn't used but creates unnecessary
  dependency in .la file

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> bcad2e4
- BR: doxygen

* Sat Jan 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 84543eb
- up to 0.16.1

* Tue May 05 2009 sparky <sparky@pld-linux.org> 4659673
- rel 2

* Sun May 03 2009 sparky <sparky@pld-linux.org> ebb4d21
- added Werror.patch (unused return value in read())

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cf6500
- up to 0.15.0

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 74d8fd0
- fix

* Wed Nov 19 2008 Elan Ruusamäe <glen@pld-linux.org> 49ffd3f
- release 2

* Sun Feb 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 2fa1097
- added i486 patch (for ancient CPUs lacking rdtsc)
- ghost soname symlink
- LGPL v2.1+
- note: currently mode64 affects HPUX only

* Sun Feb 17 2008 Jakub Bogusz <qboosh@pld-linux.org> c2290e8
- no rdtsc on i[34]86

* Sun Feb 17 2008 Jakub Bogusz <qboosh@pld-linux.org> f547e57
- obsolete

* Sun Feb 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d4a4ef4
- up to 0.13.1

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> c298ce1
- added sparc patch
- more verbose files
- revised BRs (tests not built so glib2 not used)

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 69fa6e2
- sparc is not always solaris

